@echo off
rem ******************* VSHOW.BAT ************************** 
rem *** Strangely, vpic46 does not provide any easy way to cycle through 
rem *** all the pictures in a directory from the command line.
rem *** That is, creating a slide show is quite awkward.
rem *** This batch file alleviates that problem by creating
rem *** a slide show file, and then running vpic.
rem
rem *** It does this by redirecting the 'dir' command's output; a command
rem *** interpreter that supports the '/b' 'bare' switch is needed.
rem
rem *** Examine code below for more info. Hopefully Mr. Montgomery will
rem *** improve his program so that work arounds like this aren't needed!
rem *** 10 Jan 92. J. Geist

rem ************ Code begins here *****************
rem *** Ensure command line args exist and are legal
if %1x == x goto instructions
if %2x == x goto instructions
if not exist %1\%2 goto instructions

rem *** Handle slide show file
if not exist %1\vpicslid.sho goto make_show
del %1\vpicslid.sho
goto make_show

:instructions
cls
echo             **********   Vshow.bat, by Juergen Geist.  ********
echo.
echo    A batch file to accompany VPIC.EXE (4.6) as it is quite difficult
echo  to get a slide show running with this program (Vpic).  
echo    This batch file creates a file called VPICSLID.SHO and fills it
echo  with all the files matching your command line parameter.
echo    Then, it runs: VPIC /a /@VPICSLID.SHO
echo  which is the only way, currently, to get VPIC to run a slide show
echo  from the command prompt.
echo.
echo    If you haven't run CONFIG yet, please do before continuing.
echo.
echo    Usage: VSHOW  DIRECTORY  FILESPEC
echo  i.e.  VSHOW C:\GIF *.*  will display all files in directory C:\GIF
echo        VSHOW \GIF *.GIF  will display all .GIF files in directory \GIF
echo        VSHOW \PICS *.PCX will display all .PCX files in directory \PICS
echo.
echo    NOTES:  1. Spaces are required between directory and filespecs!
echo            2. VPIC.EXE should be in the current directory. 
echo            3. VPIC.EXE (4.6 at least) is buggy. It will hang your machine
echo               if given bad or null arguments.
echo            4. This program requires Dos 5, Ndos or any connand interpreter
echo               that supports the /b 'bare' switch for directory display.
echo.
goto end
:make_show
dir /b %1\%2 > %1\vpicslid.sho
vpic /a /@%1\vpicslid.sho

:end

